*{
	margin: auto;
	padding: 0;
	box-sizing: border-box;
}


/**********Navbar************/

.logo{
	padding: 0 20px;
	display: flex;
	justify-content: flex-start;
}

.navbar{
	
	display: flex;
	text-align: center;
	background-color: black;
}

nav{
	flex: 1;
	text-align: right;
}

nav ul{
	display: inline-block;
	list-style-type: none;
}

nav ul li{
	display: inline-block;
	margin: 15px;
}

a{
	text-decoration: none;
	color: ghostwhite;
	padding: 8px 18px;
}

nav ul li a:hover{
	color: cyan;
	border-radius: 5px;
	box-shadow: 0 0 5px #33ffff,
	            0 0 5px #66ffff;
}

.container{
	max-width: 1300px;
	margin: auto;
}


/**************Cover***************/

.row{
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-around;
}

.col-2{
	flex-basis: 50%;
	min-height: 300px;
}

.col-2 img{
	max-width: 100%;
	padding: 50px 0;
	
}

.col-2 h1{
	font-size: 50px;
	line-height: 60px;
	margin: 25px 0;
}

.btn{
	display: inline-block;
	color: ghostwhite;
	padding: 8px 30px;
	margin: 30px 0;
	border-radius: 16px;
	background: black;
}
.btn:hover{
	background: radial-gradient(#00FFFF,black);
}

.header{
	background: radial-gradient(#00FFFF,black);
}

.header .row{
	margin-top: 50px;
}

/************Catagories**************/

.catagories{
	margin: 70px 0;
}

.col-3{
	flex-basis: 33px;
	min-width: 330px;
	margin-bottom: 30px;
	
}

.col-3 img{
	width: 100%;
}

/*********Featured Products***********/

.col-4{
	flex-basis: 25%;
	min-width: 300px;
	margin-bottom: 50px;
	padding: 10px;
}
.pro_images{
	width:300px;
	height: 300px;
	object-fit: cover;
	object-position: center center;
}
.products-grid .col-4{
	flex-basis: 25%;
	min-width: 280px;
}

.products-grid .col-4:nth-last-child(2),
.products-grid .col-4:last-child{
	flex-basis: 50%;
	min-width: 48%;
}

.col-4 img{
	width: 100%;
}

.title{
	text-align: center;
	margin: 0 auto 80px;
	position: relative;
	line-height: 60px;
	color: black;
}

.title::after{
	content: "";
	background: radial-gradient(#00FFFF,black);
	width: 70px;
	height: 6px;
	border-radius: 5px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
}

h4{
	font-weight: normal;
}

.col-4 p{
	font-size: 15px;
}

/**********Offer*************/

.offer{
	background: radial-gradient(#00FFFF,black);
	margin-top: 80px;
	padding: 30px 0;
}



/***************Coustomers Feedback***************/

.rating{
	color: orange;
}

.feedback{
	padding-top: 100px;
}

.feedback .col-3{
	text-align: center;
	padding: 40px 20px;
	box-shadow: 0 0 20px 0px rgba(0, 0, 0, 1.0);
	cursor: pointer;
	transition: transform 0.5s;
}

.feedback .col-3 img{
	width: 70px;
	margin-top: 20px;
	border-radius: 30%;
}

.feedback .col-3:hover{
	transform: translateX(-10px);
}

.fa.fa-quote-left{
	font-size: 20px;
	color: orange;
}

.col-3 p{
	font-size: 12px;
	margin: 12px 0;
	color: #777;
}

.feedback .col-3 h3{
	font-size: 16px;
	font-weight: 600;
	color: #555;
}


/**************Brands Logo***************/

.brands{
	margin: 100px auto;
}

.col-5{
	width: 150px;
}

.col-5 img{
	margin: 40px;
	width: 80%;
	cursor: pointer;
	filter: grayscale(100%);
}

.col-5 img:hover{
	filter: grayscale(0);
}


/************Footer*************/

.footer{
	background: black;
	color: #8a8a8a;
	padding: 60px 0 20px;
	font-size: 14px;
}

.footer p{
	color: #8a8a8a;
}

.footer h3{
	color: ghostwhite;
	margin-bottom: 20px;
}

.footer-col-1,.footer-col-2,.footer-col-3,.footer-col-4{
	margin-bottom: 20px;
	min-width: 250px;
}

.footer-col-1{
	flex-basis: 30%;
}

.footer-col-2{
	flex: 1;
	text-align: center;
}

.footer-col-2 img{
	width: 140px;
}

.footer-col-3,.footer-col-4{
	flex-basis: 14%;
	text-align: center;
	cursor: pointer;
}

ul{
	list-style-type: none;
}

.app-logo{
	margin-top: 20px;
	cursor: pointer;
}

.app-logo img{
    width: 140px;
}

.footer hr{
	border: none;
	background: radial-gradient(#00FFFF,black);
	height: 1px;
	margin: auto 80px;
}

.copyright{
	margin-top: 10px;
	text-align: center;
}

/*********************Products Page********************/

.row-2{
	justify-content: space-around;
	margin: 100px auto 50px;
}

select{
	border: 1px solid darkcyan;
	padding: 5px;
}

select:focus{
	outline: none;
}

.page-btn{
	margin: 0 auto 80px;
}

.page-btn span{
	display: inline-block;
	border: 1px solid darkcyan;
	width: 40px;
	height: 40px;
	text-align: center;
	line-height: 40px;
	margin-left: 10px;
	cursor: pointer;
}

.page-btn span:hover{
	background: #ff523b;
	color: ghostwhite;
}



/*********************Single Product Page********************/


.single-product{
	margin-top: 80px;
}

.single-product, .col-2 img{
	padding: 0;
}

.single-product, .col-2{
	padding: 20px;
}

.single-product h3{
    margin: 20px 0;
    font-size: 22px;
    font-weight: bold;
}

.single-product select{
	display: block;
	padding: 10px;
	margin-top: 20px;
	margin-left: 0px;
}

.single-product input{
	width: 50px;
	height: 40px;
	margin-right: 10px;
	font-size: 18px;
	border: 1px solid darkcyan;
}

input:focus{
	outline: none;
}

.small-image-row{
	display: flex;
	justify-content: space-between;
}

.small-image-col{
	flex-basis: 33%;
	cursor: pointer;
}


/*************Media Query***************/


.menu-icon{
	width: 28px;
	margin-left: 20px;
	display: none;
}

@media only screen and (max-width: 800px){

	nav ul{
		position: absolute;
		top: 70px;
		left: 0;
		background: #333;
		width: 100%;
	}

	nav ul li{
		display: block;
		margin-right: 50px;
		margin-top: 10px;
		margin-bottom: 10px;
	}

	nav ul li a{
		color: ghostwhite;
	}

	.menu-icon{
		display: block;
		cursor: pointer;
	}
} 


/***************Media Query for whole page*****************/

@media only screen and (max-width: 600px){

	.row{
		text-align: center;
	}

	.col-2, .col-3, .col-4{
		flex-basis: 100%;
	}

	.single-product .row{
		text-align: left;
	}

	.single-product .col-2{
		padding: 20px 0;
	}

	.single-product h1{
		line-height: 22px;
		font-size: 30px;
	}
}




/**************Cart Items***************/

.cart-page{
	margin: 80px 40px;
}

table{
	width: 100%;
}

.cart-info{
	display: flex;
	flex-wrap: wrap;
}

th{
	text-align: center;
	padding: 5px;
	color: ghostwhite;
	background: radial-gradient(#00FFFF,black);
	font-weight: normal;
}

td{
	padding: 10px 5px;
	text-align: center;
}

td input{
	width: 40px;
	height: 30px;
	padding: 5px;
}

td a{
	color: darkcyan;
	font-size: 12px;
}

.total-price{
	display: flex;
	justify-content: flex-end;
}

.total-price table{
	border-top: 3px solid darkcyan;
	width: 100%;
	max-width: 400px;
}